%define version 0.95
%define subver  %nil
%define release 3mdk
%define prefix %{_prefix}

Summary:	Lynx-like text WWW browser
Name:		links
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Source0:	http://artax.karlin.mff.cuni.cz/~mikulas/links/download/links-%{version}%{subver}.tar.bz2
Source1:	www_section.xpm
# recognition of various new charset (pablo)
Patch0: links-0.95-newcharsets.patch.bz2
Patch1: links-0.92-defaultoptions.patch.bz2
Patch2: links-0.94pre5-fastquit.patch.bz2
URL:		http://artax.karlin.mff.cuni.cz/~mikulas/links/
Packager:       Pixel <pixel@mandrakesoft.com>
BuildRequires:	gpm-devel ncurses-devel
BuildRequires:	ncurses-devel => 5.0
Provides:	webclient
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and (soon) frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background

%prep
%setup  -q -n %{name}-%{version}%{subver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure
(cd Unicode ; LC_ALL=C ./gen )
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_menudir}}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):  \
 command="/usr/bin/links" \
  needs="text" \
  icon="%{name}.xpm" \
  section="Networking/WWW" \
  title="Links" \
   longtitle="Lynx-like text WWW browser"
EOF

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%{_bindir}/*
%{_mandir}/*/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm

%changelog
* Tue Mar 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- fix buildroot
- readd  the menu entry i added and pixel deleted

* Wed Feb 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.95-2mdk
- added several new charsets (so now it can browse pages in any
  of the mdk supported charsets)

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.95-1mdk
- new version

* Tue Jan  2 2001 Pixel <pixel@mandrakesoft.com> 0.94-1mdk
- new version

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.9mdk.pre9
- new version

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.8mdk.pre8
- new version

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.7mdk.pre7
- new version
- remove the menu until icons are provided

* Thu Nov 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.6mdk.pre5
- add menu

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.94-0.5mdk.pre5
- make Q as fast quit without confirmation like lynx.

* Sun Nov 19 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.4mdk.pre5
- new release

* Thu Nov  9 2000 Pixel <pixel@mandrakesoft.com> 0.94-0.3mdk.pre4
- new release

* Tue Oct 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-0.1mdk.pre1
- new release
- minor spec cleaning

* Tue Oct 17 2000 Pixel <pixel@mandrakesoft.com> 0.93-0.2mdk.pre4
- new release

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93-0.1mdk
- new release

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-8mdk
- fix mispelling

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 0.92-6mdk
- add-M-key-to the README

* Wed Aug  9 2000 Pixel <pixel@mandrakesoft.com> 0.92-5mdk
- have colors by default

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.92-4mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 0.92-3mdk
- cleanup, BM

* Mon Jul 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.92-2mdk
- added support for a lot of new charset encodings (Thai, Vietnamese,
  Esperanto, Hebrew, Arabic, Farsi, Armenian, Greek, Turkish & Celtic)

* Sun Jul  2 2000 Pixel <pixel@mandrakesoft.com> 0.92-1mdk
- new version

* Fri Mar 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.84-1mdk
- frist mandrake version (adapted from PLD Team rpm package)

